//
//  UniversalExampleTableViewController.m
//  UniversalExample
//
//  Created by Brad Larson on 4/12/2010.
//

#import "UniversalExampleTableViewController.h"
#import "UniversalExampleDetailViewController.h"

@implementation UniversalExampleTableViewController


#pragma mark -
#pragma mark View lifecycle

- (void)viewDidLoad 
{
    [super viewDidLoad];

	self.title = @"List";
	
    // Uncomment the following line to preserve selection between presentations.
	
	itemsToDisplay = [[NSMutableArray alloc] init];
	for (NSUInteger currentItem = 0; currentItem < 10; currentItem++)
	{
		[itemsToDisplay addObject:[NSString stringWithFormat:@"Item: %d", currentItem]];
	}
 
}

- (void)dealloc 
{
	[itemsToDisplay release];
    [super dealloc];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation 
{
	if (UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPad)
	{
		return YES;
	}
	else
	{
		return (interfaceOrientation == UIInterfaceOrientationPortrait);		
	}
}


#pragma mark -
#pragma mark Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView 
{
    // Return the number of sections.
    return 1;
}


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    // Return the number of rows in the section.
    return [itemsToDisplay count];
}


// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath 
{
    
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }
    
	cell.textLabel.text = [itemsToDisplay objectAtIndex:indexPath.row];
    
    return cell;
}

#pragma mark -
#pragma mark Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath 
{
	UniversalExampleDetailViewController *detailViewController = [[UniversalExampleDetailViewController alloc] initWithNibName:@"UniversalExampleViewController" bundle:nil];
	[self.navigationController pushViewController:detailViewController animated:YES];
	detailViewController.textLabel.text = [itemsToDisplay objectAtIndex:indexPath.row];
	[detailViewController release];
}


#pragma mark -
#pragma mark Memory management

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Relinquish ownership any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    // Relinquish ownership of anything that can be recreated in viewDidLoad or on demand.
    // For example: self.myOutlet = nil;
}




@end

